Bug 1404699 - waf-python3 should also provide /usr/bin/waf
Summary: waf-python3 should also provide /usr/bin/waf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: waf
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 12:59 UTC by Jan Niklas Hasse
Modified: 2017-05-02 23:14 UTC (History)
2 users (show)

Fixed In Version: waf-1.9.10-1.fc26 waf-1.9.10-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 18:15:10 UTC


Attachments (Terms of Use)

Description Jan Niklas Hasse 2016-12-14 12:59:21 UTC
Description of problem:
The waf-python3 package provides the binary /usr/bin/waf-3. While this is fine when using both the Python 2 and the Python 3 version, it would be great if waf-python3 also provided the normal waf binary, so that the usage of Python 3 is encouraged.

Version-Release number of selected component (if applicable):
waf-python3-1.9.6-1.fc25.noarch

Steps to Reproduce:
1. Run `dnf provides /usr/bin/waf`

Actual results:
Returns only the waf package.

Expected results:
Should return the waf *and* the waf-python3 package.

Comment 1 Thomas Moschny 2016-12-29 08:45:59 UTC
Not sure what to do here. Only one package can provide /usr/bin/waf.

Comment 2 Jan Niklas Hasse 2017-01-16 09:02:36 UTC
I think this can be done using update-alternatives. For example

dnf provides /usr/bin/wxrc

returns both wxGTK-devel and wxGTK3-devel. /usr/bin/waf would be a symlink to /etc/alternatives/waf (I think this is done by update-alternatives?) which would symlink to /usr/libexec/waf-python3/waf.

After looking at the wxGTK3.spec file, I think this should look something like this for Waf:

%post
if [ -f %{_bindir}/waf ] && [ ! -h %{_bindir}/waf ] ; then
  rm %{_bindir}/waf
fi
%{_sbindir}/update-alternatives --install %{_bindir}/waf \
  waf %{_libexecdir}/%{name}/waf 3

%postun
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove waf %{_libexecdir}/%{name}/waf
fi

%files
%ghost %{_bindir}/waf

Comment 3 Fedora Update System 2017-04-08 10:57:27 UTC
waf-1.9.9-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b79b2b39bd

Comment 4 Fedora Update System 2017-04-08 10:57:35 UTC
waf-1.9.9-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2f874a78e7

Comment 5 Fedora Update System 2017-04-09 04:24:20 UTC
waf-1.9.9-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b79b2b39bd

Comment 6 Fedora Update System 2017-04-09 05:53:43 UTC
waf-1.9.9-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2f874a78e7

Comment 7 Fedora Update System 2017-04-23 13:58:42 UTC
waf-1.9.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-77bfce63fb

Comment 8 Fedora Update System 2017-04-23 13:58:54 UTC
waf-1.9.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5ba4f7670

Comment 9 Fedora Update System 2017-04-25 03:53:12 UTC
waf-1.9.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-77bfce63fb

Comment 10 Fedora Update System 2017-04-25 21:27:37 UTC
waf-1.9.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5ba4f7670

Comment 11 Fedora Update System 2017-05-01 18:15:10 UTC
waf-1.9.10-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-02 23:14:50 UTC
waf-1.9.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.